curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"activatedDate": 1651180416000,
"attributes": {
"bssName": "nxt",
"com.uxpsystems.mint.account.AccountNumber": "2656738069",
"internalProviderAccountId": "2656738069",
"paymentProviderAccountId": "2220784",
"paymentProviderId": "vindicia",
"bssAccounts": [
{
"accountId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"externalId": "2293912935",
"email": "email@example.com",
"language": "en",
"name": "John",
"metadta": {},
"id": 1,
"addresses": [
{
"city": "Toronto",
"country": "Canada",
"division": "PROVINCE",
"fax": "12345",
"phone": "12345",
"name": "John Smith",
"postalCode": "M2J 4K5",
"street": "300 Main st",
"longitude": 123,
"latitude": 123,
"id": 1
}
]
}
],
"paymentDetails": [
{
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"subscriptions": [
{
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}
],
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "subscription-not-found",
"message": "com.uxpsystems.mint.framework.subscription.model.GenericSubscription[id:1]"
}
]
}Retrieve a subscription’s associated account
Retrieves the Connect account that owns the ULM subscription specified by the subscriptionId number. The response consists of:
- The account, including its properties and attributes
- All subscriptions contained within that account, including their properties and attributes
curl --request GET \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account \
--cookie JSESSIONID=import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account"
headers = {"cookie": "JSESSIONID="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'JSESSIONID='}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "JSESSIONID=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "JSESSIONID=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account")
.header("cookie", "JSESSIONID=")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/subscription/{subscriptionId}/account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'JSESSIONID='
response = http.request(request)
puts response.read_body{
"activatedDate": 1651180416000,
"attributes": {
"bssName": "nxt",
"com.uxpsystems.mint.account.AccountNumber": "2656738069",
"internalProviderAccountId": "2656738069",
"paymentProviderAccountId": "2220784",
"paymentProviderId": "vindicia",
"bssAccounts": [
{
"accountId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"externalId": "2293912935",
"email": "email@example.com",
"language": "en",
"name": "John",
"metadta": {},
"id": 1,
"addresses": [
{
"city": "Toronto",
"country": "Canada",
"division": "PROVINCE",
"fax": "12345",
"phone": "12345",
"name": "John Smith",
"postalCode": "M2J 4K5",
"street": "300 Main st",
"longitude": 123,
"latitude": 123,
"id": 1
}
]
}
],
"paymentDetails": [
{
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"subscriptions": [
{
"activatedDate": 1651180416000,
"attributes": {
"paymentProviderSubscriptions": [
{
"id": 1,
"providerSubscriptionId": "f2369f70b673eb71ae2e44438c675ab4a090ccbf",
"internalProviderSubscriptionId": "HBOMax_77799990278191",
"productId": "HBOMax",
"subscriptionStartDate": 1629849600000,
"subscriptionEndDate": 1629849600000,
"productDescription": "HBO Max",
"billingState": "FREE_TRIAL",
"subscriptionStatus": "ACTIVE",
"nextSubscriptionBillingDate": 1629849600000,
"nextSubscriptionPrice": 1,
"nextSubscriptionCurrency": "MXN",
"subscriptionPrice": 1,
"subscriptionCurrency": "MXN",
"purchaseSource": "PUSH_NOTIFICATION",
"serviceType": "RECURRING",
"additionalFields": {},
"plmCode": "hbomax.dcb.standard",
"entitledThrough": 1629849600000,
"paymentMethod": {
"paymentMethodId": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodVid": "0a8977b2-d37b-11eb-92ce-0208f2d661bf",
"paymentMethodName": "Postpaid",
"paymentTypeName": "Postpaid",
"active": true,
"primary": true,
"status": "ACTIVE",
"additionalFields": {},
"billingAccountNumber": "2293912935",
"cardNumber": "40345334878402386634",
"expirationMonth": "2028",
"expirationYear": "11",
"classType": "com.uxpsystems.mint.attributes.MerchantAcceptedPayment",
"id": 1
}
}
]
},
"createdDate": 1651180416000,
"deactivatedDate": 1651180416000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}
],
"suspendedDate": 1651180416000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1651180416000
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "subscription-not-found",
"message": "com.uxpsystems.mint.framework.subscription.model.GenericSubscription[id:1]"
}
]
}Authorizations
Path Parameters
The unique ID number of the subscription Example: 202
Response
OK
The data fields that define a ULM account.
The entity’s activation date and time, expressed in UNIX Epoch time
1651180416000
Account Attributes
Show child attributes
Show child attributes
The entity’s creation date and time in UNIX Epoch time
1651180416000
The entity’s deactivation date and time, expressed in UNIX Epoch time
1651180416000
The display name of the entity
"Entity display name"
The unique ID of an entity.
1
The status of the entity. Possible values include:
- activating - The entity has been provisioned, but is not yet ready to be used or consumed.
- activated - The entity is active, and the functionality to which it is tied is enabled.
- suspended - The entity is temporarily deactivated, but can be reactivated in the future.
- deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
- pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
- unknown - This is a generic, catch all state for specific entities.
Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.
activating, activated, suspended, deactivated, pending, unknown "activated"
The subscription associated to this ULM entity.
Show child attributes
Show child attributes
The entity’s suspension date and time, expressed in UNIX Epoch time
1651180416000
A particular type of a given entity.
"com.uxpsystems.ulm.entity.RegularEntityType"
The most recent date and time that the entity was updated, expressed in UNIX Epoch time
1651180416000

